<?

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/adm_check.php';
include_once '../sys/inc/user.php';
user_access('adm_panel_show',null,'/index.php?'.SID);
if (isset($_SESSION['adm_auth']) && $_SESSION['adm_auth']>$time || isset($_SESSION['captcha']) && isset($_POST['chislo']) && $_SESSION['captcha']==$_POST['chislo']){
$_SESSION['adm_auth']=$time+600;
if (isset($_GET['go']) && $_GET['go']!=null){
header('Location: '.base64_decode($_GET['go']));
exit;
}
$set['title']='Админ панель';
include_once '../sys/inc/thead.php';
title();
err();
aut();

//Разделы админ панели
if (user_access('adm_set_sys')) echo '<a class="link3" href="settings_sys.php"><i class="material-icons icon">build</i> Настройки системы</a>';
if (user_access('adm_set_user')) echo '<a class="link3" href="settings_user.php"><i class="material-icons icon">people_alt</i> Пользовательские настройки</a>';
if (user_access('adm_accesses')) echo '<a class="link3" href="accesses.php"><i class="material-icons icon">face</i> Привилегии групп пользователей</a>';
if (user_access('adm_set_sys')) echo '<a class="link3" href="settings_bbcode.php"><i class="material-icons icon">check_circle</i> Настройки BBcode</a>';
if (user_access('adm_set_sys')) echo '<a class="link3" href="reg_msg.php"><i class="material-icons icon">pan_tool</i> Приветствие</a>';
if (user_access('adm_show_adm')) echo '<a class="link3" href="administration.php"><i class="material-icons icon">verified_user</i> Администрация</a>';
if (user_access('adm_rekl')) echo '<a class="link3" href="ads.php"><i class="material-icons icon">bookmark_border</i> Реклама</a>';
if ($user['level'] > 3) echo '<a class="link3" href="/user/gift/create.php"><i class="material-icons icon">card_giftcard</i> Подарки</a>';
if ($user['level'] > 3) echo '<a class="link3" href="smiles.php"><i class="material-icons icon">mood</i> Смайлы</a>';
if (user_access('adm_banlist')) echo '<a class="link3" href="banlist.php"><i class="material-icons icon">supervised_user_circle</i> Список забаненых</a>';
if (user_access('adm_ban_ip')) echo '<a class="link3" href="ban_ip.php"><i class="material-icons icon">account_balance</i> Бан по IP адресу (диапазону)</a>';

//Информация о движке
echo '<div class="msg">';
echo 'Движек: <b>Dcms Social</b></br>
Версия: <b>'.$set[dcms_version].'</b></br>
Автор модификации: <b><a href="http://vk.com/xaotik">Хаотик</a></b>';
echo '</div>';

$opdirbase=@opendir(H.'sys/add/admin');
while ($filebase=@readdir($opdirbase))
if (preg_match('#\.php$#i',$filebase))
include_once(H.'sys/add/admin/'.$filebase);
closedir($opdirbase);

}else{

$set['title']='Вход в админку';
include_once '../sys/inc/thead.php';
title();
err();
aut();

//Вход в админку
echo '<div class="block">';
echo "<form method='post' action='?gen=$passgen&amp;".(isset($_GET['go'])?"go=$_GET[go]":null)."'>\n";
echo '<span class="input"><img src="/sys/captcha.php?'.$passgen.'&amp;SESS='.$sess.'"></span>
<input class="input" placeholder="Введите код с картинки" name="chislo" maxlength="5" value="" type="text">
<input class="button" type="submit" value="Далее">
</form>';
echo '</div>';

}

include_once '../sys/inc/tfoot.php';
?>